#pragma once

#include "CoreMinimal.h"
#include "BehaviourDetectionEnableCondition.h"
#include "BehaviourDetectionEnableCondition_IsUnhookProtectionEnabled.generated.h"

UCLASS(Blueprintable, EditInlineNew)
class UBehaviourDetectionEnableCondition_IsUnhookProtectionEnabled : public UBehaviourDetectionEnableCondition
{
	GENERATED_BODY()

private:
	UPROPERTY(EditAnywhere, BlueprintReadWrite, meta=(AllowPrivateAccess=true))
	bool _shouldBeEnabled;

public:
	UBehaviourDetectionEnableCondition_IsUnhookProtectionEnabled();
};

FORCEINLINE uint32 GetTypeHash(const UBehaviourDetectionEnableCondition_IsUnhookProtectionEnabled) { return 0; }
